///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class DocumentCategoriesDataFetchCategoriesByDocumentDataCategoryDocumentsData {
/*
{
  "link": "https://www.youtube.com/watch?v=psZ1g9fMfeo",
  "id": 81,
  "title": "toan",
  "imageUrl": "https://s3.ap-southeast-1.amazonaws.com/storage.stg.dci.investidea.tech/stg/upload/dci/library/anh-thien-nhien-full-hd-2k-4k_1661310444531.jpg?X-Amz-Security-Token=IQoJb3JpZ2luX2VjEDsaDmFwLXNvdXRoZWFzdC0xIkgwRgIhAIuQoEev%2FVcax8J7nwwzUafcjZ0gEzPh7E%2Be1bdLldRiAiEAygb7K8pKuyqqCB1Wlp1hLMfMUcyLJfNdtZNTSvCj2OcqjwUIVBACGgwzMjM5ODU5MTkwNDYiDOzfsibchG3E3BZdMyrsBGsxLk2LWldtp472OddiStJTst4af965nUYyLCIYWPAHihlkutoaFUMtkrheAUEsmxEcXfZVTMxSMenxuBpwFsJlMeFodCx2j9klGap3kaV8gNhGJqlQ3396sHMcCu63k1IWv%2BAOx1giXxpv3whaLXhu0%2B7sz0EtFdeZZk%2FVQCfnRfPdi8hnSbJMnvzmdQcxp%2BGjfqnw%2BcrH0fIdtf4jszapUq48%2BHhqpVN6UMv1GUQMKZoxBOpe4rFVf7MTlvwgQc79jgPZcmEFDGmnjhRyz%2FNR%2Bpy99is141Kukn4DpFGvBLZGZqdo2KoiEeDQxcs1VfsHO94SmUhElCfKAqrsMGzCmqWz8lhDzsI%2BytgEgFqOV2NCP7gFNoZE6IsLDEvsJt9pJ5p%2B0UbFn8%2Fu3wjhoYSWSY9HZQz4lnFSnBydru0a8ny6oZoDQr73KJiFJlZDkEI1CehA5rtfqWusyUVXiSBjZA8ZcJ80iBnDEX5hHLPnvl0vLJYVdXa1AJWymIkDkREIUOGph6GOcvMBV1JIjLMSpypXEoSAAfbxRMhUI1g49qFN%2BcYSFAxaBXMIujyHeR7TAJEUVSteHkxsdsKKM%2Fnmvk%2B0MmrO7pgs4H6%2FDPBWBIIA2DdFK1VCg1ru8dPUBiq%2F33wWsfBf7kNdYNCTukgAnVQ1TRGuESku9ZNC8vWp%2F5JW3n3lnDtmTdHwrlQf9fvmY9riC50CKxcvRpTihc7c701m9BbJDBa8%2F0vAP2%2FN6fMFWfCoAT2mPREqrKcb4owvXH5ZP535DSjeRF3jAgx8%2B2xzBtBZcB1JaqDxyt9G%2Bt3Jm%2F2o8KeNcLhtMOvolZwGOpkBUlL%2FXYrFEMWfPnNGJ2mMUvY0N494B3qp5Q%2FhP4%2F54gu6PB51qNIZgpcof3F9lDkmdfwDWKRTnPw00UnK97pjnJ6sT9cVa0DXGkhkUTIxe2tFcORfP1xBrm%2BXuQfhQ76k6jfkm1qTQyxY%2FSbexSZswNB5A1ha3kD2Tgbu64CT%2FYj7o2Qzo%2BRipPy1M5hm%2FWM0xLJqPDlVXUvl&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20221129T030603Z&X-Amz-SignedHeaders=host&X-Amz-Expires=1800&X-Amz-Credential=ASIAUW3YQZRDA3NN7MFB%2F20221129%2Fap-southeast-1%2Fs3%2Faws4_request&X-Amz-Signature=2300fa4077a4803ac2b4f69b8d2e129b6c997a29a82ccff329b9c8304427b442",
  "isLocked": false,
  "modifiedDate": 1669272959256
}
*/

  String? link;
  int? id;
  String? type;
  String? title;
  String? imageUrl;
  int? priority;
  bool? isLocked;
  int? modifiedDate;

  DocumentCategoriesDataFetchCategoriesByDocumentDataCategoryDocumentsData({
    this.link,
    this.id,
    this.title,
    this.type,
    this.priority,
    this.imageUrl,
    this.isLocked,
    this.modifiedDate,
  });
  DocumentCategoriesDataFetchCategoriesByDocumentDataCategoryDocumentsData.fromJson(Map<String, dynamic> json) {
    link = json['link']?.toString();
    id = json['id']?.toInt();
    title = json['title']?.toString();
    type=json['type']?.toString();
    imageUrl = json['imageUrl']?.toString();
    isLocked = json['isLocked'];
    priority=json['priority'];
    modifiedDate = json['modifiedDate']?.toInt();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['link'] = link;
    data['id'] = id;
    data['title'] = title;
    data['type']=type;
    data['priority']=priority;
    data['imageUrl'] = imageUrl;
    data['isLocked'] = isLocked;
    data['modifiedDate'] = modifiedDate;
    return data;
  }
}

class DocumentCategoriesDataFetchCategoriesByDocumentDataCategoryDocuments {
/*
{
  "data": [
    {
      "link": "https://www.youtube.com/watch?v=psZ1g9fMfeo",
      "id": 81,
      "title": "toan",
      "imageUrl": "https://s3.ap-southeast-1.amazonaws.com/storage.stg.dci.investidea.tech/stg/upload/dci/library/anh-thien-nhien-full-hd-2k-4k_1661310444531.jpg?X-Amz-Security-Token=IQoJb3JpZ2luX2VjEDsaDmFwLXNvdXRoZWFzdC0xIkgwRgIhAIuQoEev%2FVcax8J7nwwzUafcjZ0gEzPh7E%2Be1bdLldRiAiEAygb7K8pKuyqqCB1Wlp1hLMfMUcyLJfNdtZNTSvCj2OcqjwUIVBACGgwzMjM5ODU5MTkwNDYiDOzfsibchG3E3BZdMyrsBGsxLk2LWldtp472OddiStJTst4af965nUYyLCIYWPAHihlkutoaFUMtkrheAUEsmxEcXfZVTMxSMenxuBpwFsJlMeFodCx2j9klGap3kaV8gNhGJqlQ3396sHMcCu63k1IWv%2BAOx1giXxpv3whaLXhu0%2B7sz0EtFdeZZk%2FVQCfnRfPdi8hnSbJMnvzmdQcxp%2BGjfqnw%2BcrH0fIdtf4jszapUq48%2BHhqpVN6UMv1GUQMKZoxBOpe4rFVf7MTlvwgQc79jgPZcmEFDGmnjhRyz%2FNR%2Bpy99is141Kukn4DpFGvBLZGZqdo2KoiEeDQxcs1VfsHO94SmUhElCfKAqrsMGzCmqWz8lhDzsI%2BytgEgFqOV2NCP7gFNoZE6IsLDEvsJt9pJ5p%2B0UbFn8%2Fu3wjhoYSWSY9HZQz4lnFSnBydru0a8ny6oZoDQr73KJiFJlZDkEI1CehA5rtfqWusyUVXiSBjZA8ZcJ80iBnDEX5hHLPnvl0vLJYVdXa1AJWymIkDkREIUOGph6GOcvMBV1JIjLMSpypXEoSAAfbxRMhUI1g49qFN%2BcYSFAxaBXMIujyHeR7TAJEUVSteHkxsdsKKM%2Fnmvk%2B0MmrO7pgs4H6%2FDPBWBIIA2DdFK1VCg1ru8dPUBiq%2F33wWsfBf7kNdYNCTukgAnVQ1TRGuESku9ZNC8vWp%2F5JW3n3lnDtmTdHwrlQf9fvmY9riC50CKxcvRpTihc7c701m9BbJDBa8%2F0vAP2%2FN6fMFWfCoAT2mPREqrKcb4owvXH5ZP535DSjeRF3jAgx8%2B2xzBtBZcB1JaqDxyt9G%2Bt3Jm%2F2o8KeNcLhtMOvolZwGOpkBUlL%2FXYrFEMWfPnNGJ2mMUvY0N494B3qp5Q%2FhP4%2F54gu6PB51qNIZgpcof3F9lDkmdfwDWKRTnPw00UnK97pjnJ6sT9cVa0DXGkhkUTIxe2tFcORfP1xBrm%2BXuQfhQ76k6jfkm1qTQyxY%2FSbexSZswNB5A1ha3kD2Tgbu64CT%2FYj7o2Qzo%2BRipPy1M5hm%2FWM0xLJqPDlVXUvl&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20221129T030603Z&X-Amz-SignedHeaders=host&X-Amz-Expires=1800&X-Amz-Credential=ASIAUW3YQZRDA3NN7MFB%2F20221129%2Fap-southeast-1%2Fs3%2Faws4_request&X-Amz-Signature=2300fa4077a4803ac2b4f69b8d2e129b6c997a29a82ccff329b9c8304427b442",
      "isLocked": false,
      "modifiedDate": 1669272959256
    }
  ]
}
*/

  List<DocumentCategoriesDataFetchCategoriesByDocumentDataCategoryDocumentsData?>? data;

  DocumentCategoriesDataFetchCategoriesByDocumentDataCategoryDocuments({
    this.data,
  });
  DocumentCategoriesDataFetchCategoriesByDocumentDataCategoryDocuments.fromJson(Map<String, dynamic> json) {
    if (json['data'] != null) {
      final v = json['data'];
      final arr0 = <DocumentCategoriesDataFetchCategoriesByDocumentDataCategoryDocumentsData>[];
      v.forEach((v) {
        arr0.add(DocumentCategoriesDataFetchCategoriesByDocumentDataCategoryDocumentsData.fromJson(v));
      });
      this.data = arr0;
    }
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (this.data != null) {
      final v = this.data;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v!.toJson());
      });
      data['data'] = arr0;
    }
    return data;
  }
}

class DocumentCategoriesDataFetchCategoriesByDocumentDataCategory {
/*
{
  "id": 37,
  "name": "Tự do tài chính"
}
*/

  int? id;
  String? name;

  DocumentCategoriesDataFetchCategoriesByDocumentDataCategory({
    this.id,
    this.name,
  });
  DocumentCategoriesDataFetchCategoriesByDocumentDataCategory.fromJson(Map<String, dynamic> json) {
    id = json['id']?.toInt();
    name = json['name']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['name'] = name;
    return data;
  }
}

class DocumentCategoriesDataFetchCategoriesByDocumentData {
/*
{
  "category": {
    "id": 37,
    "name": "Tự do tài chính"
  },
  "categoryDocuments": {
    "data": [
      {
        "link": "https://www.youtube.com/watch?v=psZ1g9fMfeo",
        "id": 81,
        "title": "toan",
        "imageUrl": "https://s3.ap-southeast-1.amazonaws.com/storage.stg.dci.investidea.tech/stg/upload/dci/library/anh-thien-nhien-full-hd-2k-4k_1661310444531.jpg?X-Amz-Security-Token=IQoJb3JpZ2luX2VjEDsaDmFwLXNvdXRoZWFzdC0xIkgwRgIhAIuQoEev%2FVcax8J7nwwzUafcjZ0gEzPh7E%2Be1bdLldRiAiEAygb7K8pKuyqqCB1Wlp1hLMfMUcyLJfNdtZNTSvCj2OcqjwUIVBACGgwzMjM5ODU5MTkwNDYiDOzfsibchG3E3BZdMyrsBGsxLk2LWldtp472OddiStJTst4af965nUYyLCIYWPAHihlkutoaFUMtkrheAUEsmxEcXfZVTMxSMenxuBpwFsJlMeFodCx2j9klGap3kaV8gNhGJqlQ3396sHMcCu63k1IWv%2BAOx1giXxpv3whaLXhu0%2B7sz0EtFdeZZk%2FVQCfnRfPdi8hnSbJMnvzmdQcxp%2BGjfqnw%2BcrH0fIdtf4jszapUq48%2BHhqpVN6UMv1GUQMKZoxBOpe4rFVf7MTlvwgQc79jgPZcmEFDGmnjhRyz%2FNR%2Bpy99is141Kukn4DpFGvBLZGZqdo2KoiEeDQxcs1VfsHO94SmUhElCfKAqrsMGzCmqWz8lhDzsI%2BytgEgFqOV2NCP7gFNoZE6IsLDEvsJt9pJ5p%2B0UbFn8%2Fu3wjhoYSWSY9HZQz4lnFSnBydru0a8ny6oZoDQr73KJiFJlZDkEI1CehA5rtfqWusyUVXiSBjZA8ZcJ80iBnDEX5hHLPnvl0vLJYVdXa1AJWymIkDkREIUOGph6GOcvMBV1JIjLMSpypXEoSAAfbxRMhUI1g49qFN%2BcYSFAxaBXMIujyHeR7TAJEUVSteHkxsdsKKM%2Fnmvk%2B0MmrO7pgs4H6%2FDPBWBIIA2DdFK1VCg1ru8dPUBiq%2F33wWsfBf7kNdYNCTukgAnVQ1TRGuESku9ZNC8vWp%2F5JW3n3lnDtmTdHwrlQf9fvmY9riC50CKxcvRpTihc7c701m9BbJDBa8%2F0vAP2%2FN6fMFWfCoAT2mPREqrKcb4owvXH5ZP535DSjeRF3jAgx8%2B2xzBtBZcB1JaqDxyt9G%2Bt3Jm%2F2o8KeNcLhtMOvolZwGOpkBUlL%2FXYrFEMWfPnNGJ2mMUvY0N494B3qp5Q%2FhP4%2F54gu6PB51qNIZgpcof3F9lDkmdfwDWKRTnPw00UnK97pjnJ6sT9cVa0DXGkhkUTIxe2tFcORfP1xBrm%2BXuQfhQ76k6jfkm1qTQyxY%2FSbexSZswNB5A1ha3kD2Tgbu64CT%2FYj7o2Qzo%2BRipPy1M5hm%2FWM0xLJqPDlVXUvl&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20221129T030603Z&X-Amz-SignedHeaders=host&X-Amz-Expires=1800&X-Amz-Credential=ASIAUW3YQZRDA3NN7MFB%2F20221129%2Fap-southeast-1%2Fs3%2Faws4_request&X-Amz-Signature=2300fa4077a4803ac2b4f69b8d2e129b6c997a29a82ccff329b9c8304427b442",
        "isLocked": false,
        "modifiedDate": 1669272959256
      }
    ]
  }
}
*/

  DocumentCategoriesDataFetchCategoriesByDocumentDataCategory? category;
  DocumentCategoriesDataFetchCategoriesByDocumentDataCategoryDocuments? categoryDocuments;

  DocumentCategoriesDataFetchCategoriesByDocumentData({
    this.category,
    this.categoryDocuments,
  });
  DocumentCategoriesDataFetchCategoriesByDocumentData.fromJson(Map<String, dynamic> json) {
    category = (json['category'] != null) ? DocumentCategoriesDataFetchCategoriesByDocumentDataCategory.fromJson(json['category']) : null;
    categoryDocuments = (json['categoryDocuments'] != null) ? DocumentCategoriesDataFetchCategoriesByDocumentDataCategoryDocuments.fromJson(json['categoryDocuments']) : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (category != null) {
      data['category'] = category!.toJson();
    }
    if (categoryDocuments != null) {
      data['categoryDocuments'] = categoryDocuments!.toJson();
    }
    return data;
  }
}

class DocumentCategoriesDataFetchCategoriesByDocument {
/*
{
  "nextToken": "JTNGb3JkZXIlM0QxJTI2aWQlM0QzNw==",
  "total": 1,
  "data": [
    {
      "category": {
        "id": 37,
        "name": "Tự do tài chính"
      },
      "categoryDocuments": {
        "data": [
          {
            "link": "https://www.youtube.com/watch?v=psZ1g9fMfeo",
            "id": 81,
            "title": "toan",
            "imageUrl": "https://s3.ap-southeast-1.amazonaws.com/storage.stg.dci.investidea.tech/stg/upload/dci/library/anh-thien-nhien-full-hd-2k-4k_1661310444531.jpg?X-Amz-Security-Token=IQoJb3JpZ2luX2VjEDsaDmFwLXNvdXRoZWFzdC0xIkgwRgIhAIuQoEev%2FVcax8J7nwwzUafcjZ0gEzPh7E%2Be1bdLldRiAiEAygb7K8pKuyqqCB1Wlp1hLMfMUcyLJfNdtZNTSvCj2OcqjwUIVBACGgwzMjM5ODU5MTkwNDYiDOzfsibchG3E3BZdMyrsBGsxLk2LWldtp472OddiStJTst4af965nUYyLCIYWPAHihlkutoaFUMtkrheAUEsmxEcXfZVTMxSMenxuBpwFsJlMeFodCx2j9klGap3kaV8gNhGJqlQ3396sHMcCu63k1IWv%2BAOx1giXxpv3whaLXhu0%2B7sz0EtFdeZZk%2FVQCfnRfPdi8hnSbJMnvzmdQcxp%2BGjfqnw%2BcrH0fIdtf4jszapUq48%2BHhqpVN6UMv1GUQMKZoxBOpe4rFVf7MTlvwgQc79jgPZcmEFDGmnjhRyz%2FNR%2Bpy99is141Kukn4DpFGvBLZGZqdo2KoiEeDQxcs1VfsHO94SmUhElCfKAqrsMGzCmqWz8lhDzsI%2BytgEgFqOV2NCP7gFNoZE6IsLDEvsJt9pJ5p%2B0UbFn8%2Fu3wjhoYSWSY9HZQz4lnFSnBydru0a8ny6oZoDQr73KJiFJlZDkEI1CehA5rtfqWusyUVXiSBjZA8ZcJ80iBnDEX5hHLPnvl0vLJYVdXa1AJWymIkDkREIUOGph6GOcvMBV1JIjLMSpypXEoSAAfbxRMhUI1g49qFN%2BcYSFAxaBXMIujyHeR7TAJEUVSteHkxsdsKKM%2Fnmvk%2B0MmrO7pgs4H6%2FDPBWBIIA2DdFK1VCg1ru8dPUBiq%2F33wWsfBf7kNdYNCTukgAnVQ1TRGuESku9ZNC8vWp%2F5JW3n3lnDtmTdHwrlQf9fvmY9riC50CKxcvRpTihc7c701m9BbJDBa8%2F0vAP2%2FN6fMFWfCoAT2mPREqrKcb4owvXH5ZP535DSjeRF3jAgx8%2B2xzBtBZcB1JaqDxyt9G%2Bt3Jm%2F2o8KeNcLhtMOvolZwGOpkBUlL%2FXYrFEMWfPnNGJ2mMUvY0N494B3qp5Q%2FhP4%2F54gu6PB51qNIZgpcof3F9lDkmdfwDWKRTnPw00UnK97pjnJ6sT9cVa0DXGkhkUTIxe2tFcORfP1xBrm%2BXuQfhQ76k6jfkm1qTQyxY%2FSbexSZswNB5A1ha3kD2Tgbu64CT%2FYj7o2Qzo%2BRipPy1M5hm%2FWM0xLJqPDlVXUvl&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20221129T030603Z&X-Amz-SignedHeaders=host&X-Amz-Expires=1800&X-Amz-Credential=ASIAUW3YQZRDA3NN7MFB%2F20221129%2Fap-southeast-1%2Fs3%2Faws4_request&X-Amz-Signature=2300fa4077a4803ac2b4f69b8d2e129b6c997a29a82ccff329b9c8304427b442",
            "isLocked": false,
            "modifiedDate": 1669272959256
          }
        ]
      }
    }
  ]
}
*/

  String? nextToken;
  int? total;
  List<DocumentCategoriesDataFetchCategoriesByDocumentData?>? data;

  DocumentCategoriesDataFetchCategoriesByDocument({
    this.nextToken,
    this.total,
    this.data,
  });
  DocumentCategoriesDataFetchCategoriesByDocument.fromJson(Map<String, dynamic> json) {
    nextToken = json['nextToken']?.toString();
    total = json['total']?.toInt();
    if (json['data'] != null) {
      final v = json['data'];
      final arr0 = <DocumentCategoriesDataFetchCategoriesByDocumentData>[];
      v.forEach((v) {
        arr0.add(DocumentCategoriesDataFetchCategoriesByDocumentData.fromJson(v));
      });
      this.data = arr0;
    }
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['nextToken'] = nextToken;
    data['total'] = total;
    if (this.data != null) {
      final v = this.data;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v!.toJson());
      });
      data['data'] = arr0;
    }
    return data;
  }
}

class DocumentCategoriesData {
/*
{
  "fetchCategoriesByDocument": {
    "nextToken": "JTNGb3JkZXIlM0QxJTI2aWQlM0QzNw==",
    "total": 1,
    "data": [
      {
        "category": {
          "id": 37,
          "name": "Tự do tài chính"
        },
        "categoryDocuments": {
          "data": [
            {
              "link": "https://www.youtube.com/watch?v=psZ1g9fMfeo",
              "id": 81,
              "title": "toan",
              "imageUrl": "https://s3.ap-southeast-1.amazonaws.com/storage.stg.dci.investidea.tech/stg/upload/dci/library/anh-thien-nhien-full-hd-2k-4k_1661310444531.jpg?X-Amz-Security-Token=IQoJb3JpZ2luX2VjEDsaDmFwLXNvdXRoZWFzdC0xIkgwRgIhAIuQoEev%2FVcax8J7nwwzUafcjZ0gEzPh7E%2Be1bdLldRiAiEAygb7K8pKuyqqCB1Wlp1hLMfMUcyLJfNdtZNTSvCj2OcqjwUIVBACGgwzMjM5ODU5MTkwNDYiDOzfsibchG3E3BZdMyrsBGsxLk2LWldtp472OddiStJTst4af965nUYyLCIYWPAHihlkutoaFUMtkrheAUEsmxEcXfZVTMxSMenxuBpwFsJlMeFodCx2j9klGap3kaV8gNhGJqlQ3396sHMcCu63k1IWv%2BAOx1giXxpv3whaLXhu0%2B7sz0EtFdeZZk%2FVQCfnRfPdi8hnSbJMnvzmdQcxp%2BGjfqnw%2BcrH0fIdtf4jszapUq48%2BHhqpVN6UMv1GUQMKZoxBOpe4rFVf7MTlvwgQc79jgPZcmEFDGmnjhRyz%2FNR%2Bpy99is141Kukn4DpFGvBLZGZqdo2KoiEeDQxcs1VfsHO94SmUhElCfKAqrsMGzCmqWz8lhDzsI%2BytgEgFqOV2NCP7gFNoZE6IsLDEvsJt9pJ5p%2B0UbFn8%2Fu3wjhoYSWSY9HZQz4lnFSnBydru0a8ny6oZoDQr73KJiFJlZDkEI1CehA5rtfqWusyUVXiSBjZA8ZcJ80iBnDEX5hHLPnvl0vLJYVdXa1AJWymIkDkREIUOGph6GOcvMBV1JIjLMSpypXEoSAAfbxRMhUI1g49qFN%2BcYSFAxaBXMIujyHeR7TAJEUVSteHkxsdsKKM%2Fnmvk%2B0MmrO7pgs4H6%2FDPBWBIIA2DdFK1VCg1ru8dPUBiq%2F33wWsfBf7kNdYNCTukgAnVQ1TRGuESku9ZNC8vWp%2F5JW3n3lnDtmTdHwrlQf9fvmY9riC50CKxcvRpTihc7c701m9BbJDBa8%2F0vAP2%2FN6fMFWfCoAT2mPREqrKcb4owvXH5ZP535DSjeRF3jAgx8%2B2xzBtBZcB1JaqDxyt9G%2Bt3Jm%2F2o8KeNcLhtMOvolZwGOpkBUlL%2FXYrFEMWfPnNGJ2mMUvY0N494B3qp5Q%2FhP4%2F54gu6PB51qNIZgpcof3F9lDkmdfwDWKRTnPw00UnK97pjnJ6sT9cVa0DXGkhkUTIxe2tFcORfP1xBrm%2BXuQfhQ76k6jfkm1qTQyxY%2FSbexSZswNB5A1ha3kD2Tgbu64CT%2FYj7o2Qzo%2BRipPy1M5hm%2FWM0xLJqPDlVXUvl&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20221129T030603Z&X-Amz-SignedHeaders=host&X-Amz-Expires=1800&X-Amz-Credential=ASIAUW3YQZRDA3NN7MFB%2F20221129%2Fap-southeast-1%2Fs3%2Faws4_request&X-Amz-Signature=2300fa4077a4803ac2b4f69b8d2e129b6c997a29a82ccff329b9c8304427b442",
              "isLocked": false,
              "modifiedDate": 1669272959256
            }
          ]
        }
      }
    ]
  }
}
*/

  DocumentCategoriesDataFetchCategoriesByDocument? fetchCategoriesByDocument;

  DocumentCategoriesData({
    this.fetchCategoriesByDocument,
  });
  DocumentCategoriesData.fromJson(Map<String, dynamic> json) {
    fetchCategoriesByDocument = (json['fetchCategoriesByDocument'] != null) ? DocumentCategoriesDataFetchCategoriesByDocument.fromJson(json['fetchCategoriesByDocument']) : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (fetchCategoriesByDocument != null) {
      data['fetchCategoriesByDocument'] = fetchCategoriesByDocument!.toJson();
    }
    return data;
  }
}

class DocumentCategories {
/*
{
  "data": {
    "fetchCategoriesByDocument": {
      "nextToken": "JTNGb3JkZXIlM0QxJTI2aWQlM0QzNw==",
      "total": 1,
      "data": [
        {
          "category": {
            "id": 37,
            "name": "Tự do tài chính"
          },
          "categoryDocuments": {
            "data": [
              {
                "link": "https://www.youtube.com/watch?v=psZ1g9fMfeo",
                "id": 81,
                "title": "toan",
                "imageUrl": "https://s3.ap-southeast-1.amazonaws.com/storage.stg.dci.investidea.tech/stg/upload/dci/library/anh-thien-nhien-full-hd-2k-4k_1661310444531.jpg?X-Amz-Security-Token=IQoJb3JpZ2luX2VjEDsaDmFwLXNvdXRoZWFzdC0xIkgwRgIhAIuQoEev%2FVcax8J7nwwzUafcjZ0gEzPh7E%2Be1bdLldRiAiEAygb7K8pKuyqqCB1Wlp1hLMfMUcyLJfNdtZNTSvCj2OcqjwUIVBACGgwzMjM5ODU5MTkwNDYiDOzfsibchG3E3BZdMyrsBGsxLk2LWldtp472OddiStJTst4af965nUYyLCIYWPAHihlkutoaFUMtkrheAUEsmxEcXfZVTMxSMenxuBpwFsJlMeFodCx2j9klGap3kaV8gNhGJqlQ3396sHMcCu63k1IWv%2BAOx1giXxpv3whaLXhu0%2B7sz0EtFdeZZk%2FVQCfnRfPdi8hnSbJMnvzmdQcxp%2BGjfqnw%2BcrH0fIdtf4jszapUq48%2BHhqpVN6UMv1GUQMKZoxBOpe4rFVf7MTlvwgQc79jgPZcmEFDGmnjhRyz%2FNR%2Bpy99is141Kukn4DpFGvBLZGZqdo2KoiEeDQxcs1VfsHO94SmUhElCfKAqrsMGzCmqWz8lhDzsI%2BytgEgFqOV2NCP7gFNoZE6IsLDEvsJt9pJ5p%2B0UbFn8%2Fu3wjhoYSWSY9HZQz4lnFSnBydru0a8ny6oZoDQr73KJiFJlZDkEI1CehA5rtfqWusyUVXiSBjZA8ZcJ80iBnDEX5hHLPnvl0vLJYVdXa1AJWymIkDkREIUOGph6GOcvMBV1JIjLMSpypXEoSAAfbxRMhUI1g49qFN%2BcYSFAxaBXMIujyHeR7TAJEUVSteHkxsdsKKM%2Fnmvk%2B0MmrO7pgs4H6%2FDPBWBIIA2DdFK1VCg1ru8dPUBiq%2F33wWsfBf7kNdYNCTukgAnVQ1TRGuESku9ZNC8vWp%2F5JW3n3lnDtmTdHwrlQf9fvmY9riC50CKxcvRpTihc7c701m9BbJDBa8%2F0vAP2%2FN6fMFWfCoAT2mPREqrKcb4owvXH5ZP535DSjeRF3jAgx8%2B2xzBtBZcB1JaqDxyt9G%2Bt3Jm%2F2o8KeNcLhtMOvolZwGOpkBUlL%2FXYrFEMWfPnNGJ2mMUvY0N494B3qp5Q%2FhP4%2F54gu6PB51qNIZgpcof3F9lDkmdfwDWKRTnPw00UnK97pjnJ6sT9cVa0DXGkhkUTIxe2tFcORfP1xBrm%2BXuQfhQ76k6jfkm1qTQyxY%2FSbexSZswNB5A1ha3kD2Tgbu64CT%2FYj7o2Qzo%2BRipPy1M5hm%2FWM0xLJqPDlVXUvl&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20221129T030603Z&X-Amz-SignedHeaders=host&X-Amz-Expires=1800&X-Amz-Credential=ASIAUW3YQZRDA3NN7MFB%2F20221129%2Fap-southeast-1%2Fs3%2Faws4_request&X-Amz-Signature=2300fa4077a4803ac2b4f69b8d2e129b6c997a29a82ccff329b9c8304427b442",
                "isLocked": false,
                "modifiedDate": 1669272959256
              }
            ]
          }
        }
      ]
    }
  }
}
*/

  DocumentCategoriesData? data;

  DocumentCategories({
    this.data,
  });
  DocumentCategories.fromJson(Map<String, dynamic> json) {
    data = (json['data'] != null) ? DocumentCategoriesData.fromJson(json['data']) : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}
